Botan 2.1.0 Crypto and TLS for C++11

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
Botan::PKCS11::PKCS11_ReturnError Class Reference

`#include <p11.h>`

Inheritance diagram for Botan::PKCS11::PKCS11_ReturnError:

## Public Member Functions
ReturnValue | get_return_value () const
| PKCS11_ReturnError (ReturnValue return_val)
const char * | what () const BOTAN_NOEXCEPT override

## Detailed Description

Definition at line 2833 of file p11.h.

## Constructor & Destructor Documentation

Botan::PKCS11::PKCS11_ReturnError::PKCS11_ReturnError | ( | ReturnValue | return_val | ) |
| inline explicit

Definition at line 2836 of file p11.h.

2836 :
2837 PKCS11_Error(std::to_string(static_cast< uint32_t >(return_val))),
2838 m_return_val(return_val)
2839 {}
Botan::PKCS11::PKCS11_Error::PKCS11_Error
PKCS11_Error(const std::string &what)
Definition: p11.h:2827
Botan::ASN1::to_string
std::string to_string(const BER_Object &obj)
Definition: asn1_obj.cpp:47

## Member Function Documentation

ReturnValue Botan::PKCS11::PKCS11_ReturnError::get_return_value | ( |  | ) | const
| inline

Definition at line 2841 of file p11.h.

2842 {
2843 return m_return_val;
2844 }

const char* Botan::Exception::what | ( |  | ) | const
| inline override inherited

Definition at line 26 of file exceptn.h.

Referenced by botan_cipher_update(), Botan::RSA_PrivateKey::create_decryption_op(), Botan::RSA_PublicKey::create_encryption_op(), Botan::X509_Object::do_decode(), and Botan::X509::load_key().

26 { return m_msg.c_str(); }

The documentation for this class was generated from the following file:

- src/lib/prov/pkcs11/p11.h